> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List product templates (specific page)

> *Rate limit: 100 requests / 10 seconds per shop. See [Rate limiting](/guides/rate-limiting).*

List available product templates with pagination. This endpoint is public and does not require authentication.



## OpenAPI

````yaml GET /open-api/v1.0/product-templates/page/{page}
openapi: 3.1.0
info:
  title: Fourthwall APIs
  description: Service used for management of orders, carts, and payments.
  termsOfService: https://fourthwall.com/terms-of-service
  contact:
    name: Backend team
    url: https://fourthwall.com
    email: backend@fourthwall.com
  version: unspecified
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
externalDocs:
  description: OpenAPI documentation
  url: https://docs.fourthwall.com
paths:
  /open-api/v1.0/product-templates/page/{page}:
    get:
      tags:
        - Product Templates
      summary: List product templates by page
      description: >-
        *Rate limit: 100 requests / 10 seconds per shop. See [Rate
        limiting](/guides/rate-limiting).*


        List available product templates with pagination. This endpoint is
        public and does not require authentication.
      operationId: list-product-templates-paged
      parameters:
        - name: page
          in: path
          description: Page number (1-indexed)
          required: true
          schema:
            type: integer
            format: int32
          example: 2
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/com.fourthwall.openapi.model.ProductTemplateListV1
        '429':
          description: >-
            Rate limited: 100 requests / 10 seconds per shop (effective limit).


            All applicable limits:

            - `open-api-rate-limiter` — 100 requests / 10 seconds per shop

            - `product-templates-rate-limiter` — 100 requests / 10 seconds per
            client IP
          content:
            application/json:
              examples:
                too-many-requests:
                  value:
                    code: OPEN_API_TOO_MANY_REQUESTS
                    title: Too many requests
                    status: 429
components:
  schemas:
    com.fourthwall.openapi.model.ProductTemplateListV1:
      type: object
      description: Paginated list of product templates
      properties:
        results:
          type: array
          description: List of product template summaries
          items:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.ProductTemplateSummaryV1
        total:
          type: integer
          format: int32
          description: Total number of product templates matching the query
      required:
        - results
        - total
      title: Product Template List
    com.fourthwall.openapi.model.ProductTemplateSummaryV1:
      type: object
      description: Summary information about a product template
      properties:
        productId:
          type: string
          description: Product template ID
          example: pro_k66ZW4fsRm6c2def3itltA
        name:
          type: string
          description: Product name
          example: Classic T-Shirt
        category:
          type: string
          description: Product category path
          example: apparel/t-shirts
        brand:
          type: string
          description: Brand name
          example: Bella+Canvas
        thumbnail:
          type: string
          description: Thumbnail image URL
        basePrice:
          $ref: '#/components/schemas/com.fourthwall.openapi.model.MoneyV1'
          description: Base price for the product
        productionMethod:
          type: string
          description: >-
            Production method (e.g. DTG, EMBROIDERY, DTFX, KNITTING,
            SUBLIMATION)
          example: DTG
        supportsBackendRendering:
          type: boolean
          description: >-
            Whether this product can be rendered by the backend rendering
            pipeline (V3 Instant Designer, excluding KNITWISE). Products where
            this is false may have null regionIds on customizable areas and
            cannot be used with the design pipeline.
          example: true
      required:
        - basePrice
        - brand
        - category
        - name
        - productId
        - productionMethod
        - supportsBackendRendering
      title: Product Template Summary
    com.fourthwall.openapi.model.MoneyV1:
      type: object
      description: Money amount with currency
      properties:
        amount:
          type: number
          description: Amount value
          example: 24.99
        currency:
          type: string
          description: Currency code (ISO 4217)
          example: USD
      required:
        - amount
        - currency
      title: Money

````